# {{ ansible_managed  }}
FROM {{ dockerfile_builder_image_from }}

# General variables
ENV IMAGE_NAME="moodle_httpd" \
    IMAGE_SUMMARY="Apache ${HTTPD_VERSION} for Moodle {{ moodle_version }}" \
    IMAGE_DESCRIPTION="This {{ dockerfile_builder_image_based }} based container image runs Apache ${HTTPD_VERSION} for Moodle {{ moodle_version }}" \
    IMAGE_TITLE="Apache ${HTTPD_VERSION} for Moodle{{ moodle_version }} " \
    TZ="{{ dockerfile_builder_image_timezone }}"

# Component bash variables
ENV MOODLE_VERSION="{{ moodle_version }}" \
    MOODLE_VERSION_SHORT="{{ moodle_version | replace('.','') }}" \
    MOODLE_APP=${APP_DEST} \
    MOODLE_DATA=/var/moodledata \
    MOODLE_CHECK_PATH=/login/index.php \
    MOODLE_CHECK_CODE="200" \
    MOODLE_CHECK_HOST=localhost

USER 0

COPY conf/usr/bin/* /usr/bin/
COPY conf/usr/libexec/* /usr/libexec/

RUN container-setup

RUN container-setup-httpd-moodle

USER ${CTR_USER_ID}

# Labels
LABEL name="${IMAGE_NAME}" \
      summary="${IMAGE_SUMMARY}" \
      description="${IMAGE_DESCRIPTION}" \
      maintainer="{{ dockerfile_builder_image_authors }}" \
      org.opencontainers.image.title="${IMAGE_TITLE}" \
      org.opencontainers.image.description="${IMAGE_DESCRIPTION}" \
      org.opencontainers.image.version="{{ dockerfile_builder_image_version }}" \
      io.k8s.description="${IMAGE_DESCRIPTION}" \
      io.k8s.display-name="${IMAGE_TITLE}" \
      io.openshift.tags="${IMAGE_NAME},apache,apache${HTTPD_VER_SHORT},apache-${HTTPD_VER_SHORT},moodle,moodle${MOODLE_VERSION_SHORT},moodle-${MOODLE_VERSION_SHORT}"
